Bug 974577 - pulp-admin consumer update note option doesn't accept correctly formatted input
pulp-admin consumer update note option doesn't accept correctly formatted input
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.2 Beta
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.3.0
Assigned To: nobody nobody
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 09:10 EDT by Jeremy Cline
Modified: 2013-12-09 09:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:30:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Cline 2013-06-14 09:10:29 EDT
Description of problem: I attempted to add a note to a consumer, but received the error "Notes must be specified in the format key=value".


Version-Release number of selected component (if applicable): pulp-admin-client-2.2.0-0.3.beta.fc18.noarch


How reproducible: Always


Steps to Reproduce:
1. Register a consumer 
2. pulp-admin consumer update --consumer-id=test_consumer --note key=value

Actual results:
[jcline@jcline ~]$ pulp-admin consumer update --consumer-id=test_consumer --note key=value
Notes must be specified in the format key=value

Expected results:
Consumer successfully updated

Additional info:
Comment 1 Michael Hrivnak 2013-06-21 10:56:21 EDT
Try putting quotes around 'key=value'. This may just be conflicting with standard command line option parsing.
Comment 2 Jeremy Cline 2013-06-24 10:53:07 EDT
https://github.com/pulp/pulp/pull/521

the parser didn't handle already parsed content very well, so I added a check for that and removed the redundant parse call.
Comment 5 Jeff Ortel 2013-09-12 18:36:03 EDT
build: 2.3.0-0.10.alpha
Comment 6 Preethi Thomas 2013-09-19 16:07:45 EDT
verified

[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.14.alpha.el6.noarch

[root@pulp-v2-server ~]# pulp-admin consumer update --consumer-id=pulp-client --note key=value
Consumer [ pulp-client ] successfully updated

[root@pulp-v2-server ~]#
Comment 7 Preethi Thomas 2013-12-09 09:30:38 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.